Subject: Re: [PATCH 3/3] diff: convert flags to be stored in bitfields

From: Junio C Hamano <[email-masked]>
Date: Mon, 30 Oct 2017 09:29:52 +0900

Junio C Hamano <[email-masked]> writes:

> I still haven't brought myself to like the structure being passed by
> value and the singleton diff_flags_cleared thing, but I suspect that
> we may get used to them once we start using these.  I dunno.

Just bikeshedding, but I just had to prepare an evil merge to add a
new use of diff_flags_cleared to a codepath that evolved in a topic
still in flight, and realized that I really hate the name.  Perhaps
I wouldn't have hated it so much if it were named diff_flags_none or
diff_flags_empty, I guess.